mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Obsolete System.Runtime.InteropServices.Guid("0000000f-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information about the IMoniker, IPersist, and IPersistStream interfaces, see the MSDN Library.

Use instead.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added: an object of type 'UCOMIBindCtx' To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'Guid&' To be added: an object of type 'object&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added: an object of type 'UCOMIBindCtx' To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'Guid&' To be added: an object of type 'object&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'UCOMIMoniker&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'bool' To be added: an object of type 'UCOMIMoniker&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added: an object of type 'bool' To be added: an object of type 'UCOMIEnumMoniker&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'Guid&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added: an object of type 'UCOMIBindCtx' To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'string&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'long&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added: an object of type 'UCOMIBindCtx' To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'FILETIME&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'int&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'UCOMIMoniker&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  For more information about IPersistStream::IsDirty, see the MSDN Library.

  Checks the object for changes since it was last saved.

  An S_OK HRESULT value if the object has changed; otherwise, an S_FALSE HRESULT value.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information about IMoniker::IsEqual, see the MSDN Library.

  Compares this moniker with a specified moniker and indicates whether they are identical.

  A reference to the moniker to be used for comparison.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  For more information about IMoniker::IsRunning, see the MSDN Library.

  Determines whether the object that is identified by this moniker is currently loaded and running.

  A reference to the bind context to be used in this binding operation. A reference to the moniker to the left of this moniker if this moniker is part of a composite. A reference to the moniker most recently added to the Running Object Table.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added: an object of type 'int&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information about IPersistStream::Load, see the MSDN Library.

  Initializes an object from the stream where it was previously saved.

  Stream from which the object is loaded.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added: an object of type 'UCOMIBindCtx' To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'string' To be added: an object of type 'int&' To be added: an object of type 'UCOMIMoniker&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` To be added: an object of type 'UCOMIBindCtx' To be added: an object of type 'int' To be added: an object of type 'UCOMIMoniker&' To be added: an object of type 'UCOMIMoniker&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added: an object of type 'UCOMIMoniker' To be added: an object of type 'UCOMIMoniker&' To be added To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For more information about IPersistStream::Save, see the MSDN Library.

  Saves an object to the specified stream.

  The stream into which the object is saved. Indicates whether to clear the modified flag after the save is complete.